### INTRODUCTION

Markdown implementations differ in the way white space interacts with headings.
The CommonMark specification does not require an empty line before and after
a heading. On the other hand, by default mdview ends a heading only when it
finds an empty line.  This is an extension (and it can be disabled). Under the
extension, contiguous lines are joined together to form the heading. Two spaces
at the end of a heading line become a hard line-break.

See also [heading examples](heading.md).

### DESCRIPTION

See the [hard line-break test file](br_test.md).

### TESTS

<!--
white space in this file is integral to the test
-->

-------------------------------------------------------------------------------

**TEST atx-style heading continuation (extension)...**

# H1 BR  
h1

## H2 BR  
h2

### H3 BR  
h3

**RESULT** three headings comprising two lines each.

-------------------------------------------------------------------------------

**TEST settext-style heading continuation (extension)...**

H1 BR  
====
h1

H2 BR  
----
h2

**RESULT** two headings comprising two lines each.

-------------------------------------------------------------------------------

### PASS if all RESULT lines above are true
